diff -Naur moodle/admin/roles/tabs.php moodle-conditionals/admin/roles/tabs.php
--- moodle/admin/roles/tabs.php	2009-05-05 01:06:52.000000000 +0100
+++ moodle-conditionals/admin/roles/tabs.php	2009-09-16 13:38:34.000000000 +0100
@@ -190,6 +190,24 @@
                         true);
     }
 
+    /// START COMMENTS
+    if ($context->contextlevel == CONTEXT_MODULE && has_capability('moodle/local:assigncomments', $context)) {
+        $toprow[] = new tabobject('info',
+            $CFG->wwwroot.'/course/conditional/activityinfo.php?id='.$cm->id,
+            get_string('activityinfo', 'conditional'),
+            '', true);
+    }
+    /// END COMMENTS
+
+    /// START CONDITIONALS
+    if ($context->contextlevel == CONTEXT_MODULE && has_capability('moodle/local:createconditionals', $context)) {
+        $toprow[] = new tabobject('locks',
+            $CFG->wwwroot.'/course/conditional/conditions.php?id='.$cm->id,
+            get_string('activitylocks', 'conditional'),
+            '', true);
+    }
+    /// END CONDITIONALS
+
 }
 
 /// Here other core tabs should go (always calling tabs.php files)
diff -Naur moodle/backup/backuplib.php moodle-conditionals/backup/backuplib.php
--- moodle/backup/backuplib.php	2009-05-08 01:06:38.000000000 +0100
+++ moodle-conditionals/backup/backuplib.php	2009-09-16 13:38:34.000000000 +0100
@@ -730,6 +730,15 @@
             fwrite ($bf,full_tag("ENROLENDDATE",3,false,$course->enrolenddate));
             fwrite ($bf,full_tag("ENROLPERIOD",3,false,$course->enrolperiod));
 
+            /// START COMMENTS
+            fwrite ($bf,full_tag("USELABEL",3,false,$course->uselabel));
+            fwrite ($bf,full_tag("PERSONALIZEDLABEL",3,false,$course->personalizedlabel));
+            /// END COMMENTS
+
+            /// START CONDITIONALS
+            fwrite ($bf,full_tag("USECONDITIONALS",3,false,$course->useconditionals));
+            /// END CONDITIONALS
+
             /// write local course overrides here?
             write_role_overrides_xml($bf, $context, 3);
             /// write role_assign code here
@@ -1242,6 +1251,35 @@
                fwrite ($bf,full_tag("GROUPINGID",6,false,$course_module->groupingid));
                fwrite ($bf,full_tag("GROUPMEMBERSONLY",6,false,$course_module->groupmembersonly));
                fwrite ($bf,full_tag("IDNUMBER",6,false,$course_module->idnumber));
+
+               /// START COMMENTS
+               fwrite ($bf,full_tag("INFO",6,false,$course_module->info));
+               /// END COMMENTS
+
+               /// START CONDITIONALS
+               if ($conditional = get_record('conditional', 'moduleid', $tok)) {
+                   fwrite ($bf,start_tag('CONDITIONAL',6,true));
+                   fwrite ($bf,full_tag("DETAILS",7,false,$conditional->details));
+                   fwrite ($bf,full_tag("INUSE",7,false,$conditional->inuse));
+                   if ($conditions = get_records('conditional_member', 'conditionalid', $conditional->id)) {
+                       fwrite ($bf,start_tag('CONDITIONS',7,true));
+                       foreach ($conditions as $condition) {
+                           fwrite ($bf,start_tag('CONDITION',8,true));
+                           fwrite ($bf,full_tag("ID",9,false,$condition->id));
+                           fwrite ($bf,full_tag("TYPE",9,false,$condition->type));
+                           fwrite ($bf,full_tag("SUBTYPE",9,false,$condition->subtype));
+                           fwrite ($bf,full_tag("INSTANCE",9,false,$condition->instance));
+                           fwrite ($bf,full_tag("OP",9,false,$condition->op));
+                           fwrite ($bf,full_tag("VALUE",9,false,$condition->value));
+                           fwrite ($bf,full_tag("TABLEID",9,false,$condition->tableid));
+                           fwrite ($bf,end_tag("CONDITION",8,true));
+                       }
+                       fwrite ($bf,end_tag("CONDITIONS",7,true));
+                   }
+                   fwrite ($bf,end_tag("CONDITIONAL",6,true));
+               }
+               /// END CONDITIONALS
+
                // get all the role_capabilities overrides in this mod
                write_role_overrides_xml($bf, $context, 6);
                /// write role_assign code here
